Вход | Регистрация
    1  2
О жизни... :: 1С:Предприятие 8 общая

OFF: Новая УПП требует 8.3.12.

[Фрэнки, 04.07.19 - 09:50]
OFF: Новая УПП требует 8.3.12.
Я
   ILM
 
01.07.19 - 11:15
БЫЛО
Внимание! Текущий релиз конфигурации "Управление производственным предприятием" предназначен для использования с версией системы 1С:Предприятие 8 не ниже 8.2.19.130, а также может использоваться с версией 8.3.3.687(и выше)в режиме совместимости "Версия 8.2.13".
При работе с операционной системой Microsoft Windows 10 необходимо использовать версию 8.3 платформы "1С:Предприятие".
Для полноценного формирования отчетности в ПФ РФ по формам СЗВ-М, СЗВ-СТАЖ, СЗВ-КОРР, ОДВ-1 и СЗВ-ИСХ требуется использовать платформу 1С:Предприятие версии не ниже 8.3.9.1818.

СТАЛО после 1.3.223.1

Внимание! Текущий релиз конфигурации "Управление производственным предприятием" предназначен для использования с версией технологической платформы 1С:Предприятие 8 не ниже 8.3.12.1685.
При работе с операционной системой Microsoft Windows 10 необходимо использовать версию 8.3 платформы "1С:Предприятие".

С чего бы это такая забота ))) ?
 
 
   shuhard
 
101 - 04.07.19 - 10:19
(95) рассматривай, топик отдельный заведи
здесь обсуждается отказ от смены платформы
   Mikhail Volkov
 
102 - 04.07.19 - 10:21
(98) А поподробнее... очень надо!? Как-то пару лет занимался этим Com-обмен между базами различных доменов,  но пользователям для этого нужно админские права дать. А сейчас как дела с Com-обменами?
   Mikhail Volkov
 
103 - 04.07.19 - 10:22
+ между различными релизами платформ.
   shuhard
 
104 - 04.07.19 - 10:25
(95)[Кому это надо?]
2000-3000 организаций из эксплуатирующих УПП 12000
   palsergeich
 
105 - 04.07.19 - 10:41
(102) http://catalog.mista.ru/public/610960/ я по этой статье делал - вполне себе работает в бою
   palsergeich
 
106 - 04.07.19 - 10:42
(105) Есть там же на ИС и более подробная статья, но мне хватило этой
   palsergeich
 
107 - 04.07.19 - 10:51
(102) Обмен же работает на сервере и от имени юзера под которым запущен кластер 1с, при чем тут юзеры?
   shuhard
 
108 - 04.07.19 - 11:04
(105) +1
рабочий вариант, то же юзал
   Cyberhawk
 
109 - 04.07.19 - 11:09
Обязательно только внепроцессную активацию ставить надо, иначе не взлетит из-за того, что ком-коннектор пытается использовать другие библиотеки нужной ему версии, но в рамках текущего процесса, и поэтому закономерно получает отлуп
   shuhard
 
110 - 04.07.19 - 11:11
(109) не помню такого ограничения,
на уровне кода как выглядит ?
 
 Рекламное место пустует
   Cyberhawk
 
111 - 04.07.19 - 11:14
(110) Это настройка на уровне СОМ+-приложения, а не в коде. В его свойствах радиокнопка "Server application"
   CHerypga
 
112 - 04.07.19 - 11:15
(99) мне понравилось что согласно https://bugboard.v8.1c.ru/error/000055564 ошибка 00-00226573 не больно то и ошибка, однако же она аж дважды исправлена
Исправление ошибки 00-00226573
Не печатаются новые реквизиты из ПКО         
                                    
Изменены:     ОбщийМодуль.МенеджерОборудованияВызовСервера

Исправлена ошибка 00-00226735
Ошибка при пробитии чека ККМ         
                                    
Изменены:     Документ.ЧекККМ                                 
    Обработка.ТОСервер
   shuhard
 
113 - 04.07.19 - 11:17
(111) OK, это было =)
   palsergeich
 
114 - 04.07.19 - 11:19
(109) Там уже по коду ошибки все гуглится быстро)
   palsergeich
 
115 - 04.07.19 - 11:20
(114) Но да, замечание полезное и тоже было)
   Access granted
 
116 - 04.07.19 - 11:35
(89) Так и думал. Скорее поддержка УПП закончится, чем они у конфы поднимут совместимость до 8.3.
   shuhard
 
117 - 04.07.19 - 12:24
(115) ни что так не объединяет, как общие грабли по лбу =)
   shuhard
 
118 - 04.07.19 - 12:24
(116) +100500
   Cyberhawk
 
119 - 04.07.19 - 12:26
(114) Одно дело нагуглить, другое - понять суть. Без погружения тот кто что-то там исправляет так и рискует всю жизнь "подавать ключи" :)
   NorthWind
 
120 - 04.07.19 - 13:21
(99) это 1С, детка :) Все же радовались, когда в 14-15 году из России выметали ее конкурентов. Теперь имеем монополиста, который как хочет, так и работает.
   NorthWind
 
121 - 04.07.19 - 13:35
Насколько хорошая мысль крайний 8.3.12 поставить (8.3.12.1855 от 04.03.19)?
Интересует только стабильная работа; кроме УПП пока ничего не нужно.
   Фрэнки
 
122 - 04.07.19 - 13:47
(121) видел однажды (примерно в мае) отзывы тут же на мисте, что рекомендовали 8.3.12.1790 , хотя мартовский релиз был бы логичней.
   shuhard
 
123 - 04.07.19 - 13:51
(121) для УПП без разницы, у неё режим совместимости
   dnab
 
124 - 04.07.19 - 14:22
вчера обновились на 8.3.14, пока полет нормальный. УПП+БитФинанс.
Только вчера исправили ошибку в битовском коде, связанную с переименованием в 14-м релизе.
Для управляемой формы ТипЗнч(Форма) равно теперь не Тип("УправляемаяФорма"), а Тип("ФормаКлиентскогоПриложения").
Причем незевисимо от режима совместимости!
И в УПП очень много вхождений "Если ТипЗнч(Форма) = Тип("УправляемаяФорма") Тогда..."
   la luna llena
 
125 - 04.07.19 - 14:28
(120) всегда так было
   Lama12
 
126 - 04.07.19 - 14:31
Забавно. Отраслевая на базе УПП 1.3.123.1 требует только 8.3.9.1818.
   Mikhail Volkov
 
127 - 04.07.19 - 15:11
(126) Видимо с запасом затребовали не ниже 8.3.12. У меня на 8.3.10.2466 обновилось УПП 1.3.123.2, вроде все нормально: документы открываются, записываются, проводятся...
(92) На что обратить внимание: алкоголя и табачных изделий не имеем... автосервис.
(46) Да, пропустил модуль РаботаСДиалогами, поправил. Что-то криво стало обновляться... Раньше на тех объектах, в которых внесены изменения в обновлении, ставились галочки не зависимо: есть ли в них мои изменения, или нет. Мои изменения затирались обновлением, потом их восстанавливал. А теперь, где есть мои изменения на этих объектах галочки не ставятся!? Что-то слетело в настройках, что посмотреть? Это началось недавно, когда КА1.1 стал обновлять обновлениями УПП.
   ILM
 
128 - 04.07.19 - 15:20
Пока все протестил, сделал обновление, отчеты, закрыл месяц на копии. Платформа 8.3.15.1489. Работает на 30% быстрее.  Через месяц после отпуска на море переведем все компы. ("Через групповые политики AD)))")
   shuhard
 
129 - 04.07.19 - 15:38
(128) ну и ?
   ILM
 
130 - 04.07.19 - 15:45
(129) А потом продолжу пилить ЕРП под наши нужды)))
   Mikhail Volkov
 
131 - 04.07.19 - 19:05
(128) Дык, 8.3.15.1489 выше 8.3.12.1685. Вопрос о том насколько завышено требование:
Внимание!
Текущий релиз конфигурации "Управление производственным
предприятием" предназначен  для  использования  с версией системы
1С:Предприятие 8 не ниже 8.3.12 в режиме совместимости "Версия 8.2.13".
У (126) например, 8.3.9.1818!?
   DmVl76
 
132 - 05.07.19 - 04:06
(128) На 3.15 поправили ошибку с пользователями? В 3.14.1685 вылетает при открытии пользователя в конфигураторе "Структура данных не поддерживает хранение расширений." и просит снять совместимость.
   Cyberhawk
 
133 - 05.07.19 - 08:14
(132) Плевок тебе в лицо за опускание старшего октета из номера релиза
 
 
   Cyberhawk
 
134 - 05.07.19 - 08:44
(124) "исправили ошибку в битовском коде, связанную с переименованием в 14-м релизе" // Ну, строго говоря да - ошибка ребяток из Бита, поскольку можно было предугадать переименование и для определения управляемая это форма или нет использовать более громоздкий способ проверки (от имени формы получать объект МД, находить в нем нужную форму и у нее смотреть в свойство ТипФормы), который бы не поломался от этого переименования.
Но даже ребятки из типовых не заморачиваются и херачили везде проверку через равенствор Тип("УправляемаяФорма").
Поэтому если не быть столь строгим, то это и не ошибка битовских ребяток. Тем более в последующих БФ они это поправили.
   dnab
 
135 - 05.07.19 - 16:59
(134) чего скаать то хотел?
   Вафель
 
136 - 05.07.19 - 17:06
(134) Это просто подстава от 1с
   Mikhail Volkov
 
137 - 06.07.19 - 09:50
(92) Можно выложить список того, что "кокнули" Новая УПП требует 8.3.12., чтобы не менять платформу на 8.3? Хочу убедиться, что оно работает 8.3.10.
   NorthWind
 
138 - 06.07.19 - 09:52
(131) я думаю, что там релиз действительно задран. Одно из объяснений - не хотят распространения платформ, в которых не было реализовано дополнительной защиты от взлома. Специально пробую обновиться на 8.3.11.2867 (не в продуктиве). Думаю, все будет хорошо.
   NorthWind
 
139 - 06.07.19 - 10:40
Все обновляется отлично.
Пока у меня складывается ощущение, что загвоздка только в ВыполнитьОбработкуОповещения () и #Область. Т.е. если я правильно помню, это появилось где-то в 8.3.3.
Соответственно, обновляться и запускаться будет начиная оттуда.
   Mikhail Volkov
 
140 - 06.07.19 - 11:17
(139) на 8.3.11.2867? У меня тоже обновилось на 8.3.10.2466 (в копии) без проблем. Но не вылезет ли чего в процессе работы?
   NorthWind
 
141 - 06.07.19 - 12:31
(140) вряд ли. Пока у меня складывается такое ощущение, что на специфических особенностях 8.3 работают только украшательства, которые не имеют к реальному функционалу прямого отношения. В общем, я не буду спешить лепить свежайшую платформу.
   Mikhail Volkov
 
142 - 06.07.19 - 19:22
(141) Ну почему, понадобились конфигурации 8.3, для них и поставили. А платформу 8.2 снесли, конфигурации 8.2 работают в режиме совместимости. Другое дело, что некоторые не работают выше 8.3.10 (например, Альфа-Авто). А добавлять 2-ю 8.3 платформу - Com-обмены рухнут...
С Com-обменами вроде поправимо (105), но не получается пункт 6. Выбираем вариант "Установка новых компонентов", находим нашу библиотеку comcntr.dll.
Выскакивает ошибка: "Этот объект уже зарегистрирован"!?
   NorthWind
 
143 - 06.07.19 - 19:26
(142) я только про УПП веду речь.
   NorthWind
 
144 - 08.07.19 - 08:56
Косячок. В 123.2 с ролью "Пользователь" РТиУ не открывается - на новую константу нет прав на чтение:
{ОбщийМодуль.ИнтеграцияМОТПВызовСервера.Модуль(12)}: Ошибка при вызове метода контекста (Получить)
    Возврат Константы.ДатаОбязательнойМаркировкиТабачнойПродукцииМОТП.Получить();
по причине:
Нарушение прав доступа!
   NorthWind
 
145 - 08.07.19 - 08:56
у всех так или это я как-то криво обновился?
   NorthWind
 
146 - 08.07.19 - 08:59
хотя нет, можно просто всем юзерам включить роль БазовыеПраваМОТП
   NorthWind
 
147 - 08.07.19 - 09:07
да, нужно включать всем кто имеет дело с РТиУ, иначе работать не будет
   user-ok
 
148 - 08.07.19 - 09:38
Чтобы не плодить веток, можно влезть сюда со своим вопросом?
Какой релиз сейчас считается самым "правильным" из 8.3.12 + ?
На предприятии используется УПП для Украины. она просит 8.3.8.2322
и BAS Документооборот. ему нужен 8.3.12.1567
Сейчас стоит 8.3.12.1790. Не нравится она мне. то движения у непроведенного документа останутся, то еще что-то
Заводить зоопарк платформ тоже не хочется.
Сейчас по техническим причинам буду переустанавливать платформу на куче машин, вот и хотелось бы сразу поставить стабильный, хороший такой, релиз ))
Что подскажете?
   Фрэнки
 
149 - 08.07.19 - 09:52
(148) не знаю можно ли таким отзывам верить, но якобы 8.3.12.1790 нахваливали, что это самый удачный из близких к нему. Хотя на тот момент более новых релизов 8.3.12 было мало.
 
 Рекламное место пустует
   Cyberhawk
 
150 - 08.07.19 - 09:54
(148) "Сейчас стоит 8.3.12.1790. Не нравится она мне. то движения у непроведенного документа останутся" // Лол
   Фрэнки
 
151 - 08.07.19 - 09:59
(149) посмотрел по списку релизов... в дополнение добавлю - после него зарелизился все один 8.3.12 (мартовский) и сейчас есть еще один тестовый 8.3.12.1924 (03.07.19)

Так что большой, совсем радикальной разницы вряд ли увидишь при выборе между 8.3.12.1855 (04.03.19) и 8.3.12.1790 (27.11.18)
   user-ok
 
152 - 08.07.19 - 10:18
(150) не смешно ((
(149) зачит есть смысл остаться на нем? я не ищу самый свежий из 8.3.12. я готов и на 8.3.12.1567 или какой-нить другой откатиться. только б работало хорошо. В 8.3.13 и выше, думаю, смысла лезть пока нет
   Флориан
 
153 - 08.07.19 - 10:27
(146) спс за описание косяка, а может проще в подсистему МОТП включить роль "Пользователь"?
   NorthWind
 
154 - 08.07.19 - 11:03
(153) ну это кому как удобнее, у меня юзеров немного, я просто проклякал эти галочки за несколько минут и всех делов
   Cyberhawk
 
155 - 08.07.19 - 11:05
(154) "проклякал эти галочки за несколько минут" // Мем с двумя гопниками.жпг
   la luna llena
 
156 - 08.07.19 - 11:16
(144) реально косяк, вчера вечером накатывала, сама пропустила, не потестила под продажниками, они сегодня утром мне звонят.
Еще пара ошибок вылезло.
Глючный релиз, откатила, буду тестить (((
   la luna llena
 
157 - 08.07.19 - 11:17
последние несколько лет релизы небольшие - накатила, посмотрела, обновила. Уже привыкла в выходной за пару часов ставить. С этим так не получается ((( Нужно гонять его пару дней по всем документам со всеми правами
   Флориан
 
158 - 08.07.19 - 11:17
(156) "Еще пара ошибок вылезло." можно озвучить в студию?
   la luna llena
 
159 - 08.07.19 - 11:19
(158) я пока разбираюсь, утром пользователи звонили, что без полных прав ПТиУ не работает.
ТО ли мой косяк то ли еще что.
   Флориан
 
160 - 08.07.19 - 11:23
(159) при открытии реализации есть
{ОбщийМодуль.ПроверкаИПодборПродукцииМОТПУТ.Модуль(806)}: Ошибка при вызове метода контекста (ВыполнитьПакет)
        МассивРезультатов = Запрос.ВыполнитьПакет();
по причине:
Недостаточно прав для работы с таблицей "Справочник.ШтрихкодыУпаковокТоваров"
   la luna llena
 
161 - 08.07.19 - 11:25
мне еще вот такое пишет

{Документ.РеализацияТоваровУслуг.Форма.ФормаДокумента.Форма(3729)}: Ошибка при вызове метода контекста (НайтиСтроки)
   la luna llena
 
162 - 08.07.19 - 11:25
и вот такое

{Документ.ПеремещениеТоваров.Форма.ФормаДокумента.Форма(766)}: Метод объекта не обнаружен (УстановитьСвойстваЭлементовЕГАИСнаФормеДокумента)
   NorthWind
 
163 - 08.07.19 - 11:30
(160) у меня не подтверждается пока. Но я проставил все три галки "БазовыеПрава..." для всех пользователей. Ввиду того что у меня пока нет ни ЕГАИСа, ни маркировки - пусть его будет, не жалко :)
   NorthWind
 
164 - 08.07.19 - 11:35
у меня вводят поступление товаров без полных прав, нормально все
   Флориан
 
165 - 08.07.19 - 13:52
(132) "На 3.15 поправили ошибку с пользователями? В 3.14.1685 вылетает при открытии пользователя в конфигураторе "Структура данных не поддерживает хранение расширений." и просит снять совместимость." на 8.3.14.1779 поправили
   dnab
 
166 - 08.07.19 - 15:41
На 8.3.14.1779 неприятная ошибка https://bugboard.v8.1c.ru/error/000055391
Установка всем базам реквизита "Получать лицензии сервером 1с" не помогла.
   MaxxiMiliSanM
 
167 - 09.07.19 - 14:45
кто-нибудь обновился или лучше подождать?
   Mikhail Volkov
 
168 - 09.07.19 - 19:27
(167) Обновил на 8.3.10.2466, пока жалоб от пользователей не поступало. В КА/УПП никто не работает (кроме главбуха и расчетчицы з/п), все работают Альфа-Авто. Документы перекидываются в КА/УПП лишь для бух.учета, отчетности.
   NorthWind
 
169 - 09.07.19 - 19:38
(167) обновился, работаем с начала недели. Был момент с правами см. (144) и ниже, кроме него вопросов больше не было. Работает около 10 человек в программе.
   neomarat
 
170 - 09.07.19 - 20:58
(169) на какой платформе?
   NorthWind
 
171 - 09.07.19 - 22:25
(170) 8.3.11.2867 поставил. До этого была 8.2 последняя.
   Mikhail Volkov
 
172 - 10.07.19 - 07:44
(171) А почему не сразу 8.3.12.1685, если только для УПП (143)?
   NorthWind
 
173 - 10.07.19 - 08:00
(172) во избежание плясок вокруг нового механизма защиты от взлома. Здесь были ветки, где люди жаловались на то что новая платформа по непонятным причинам выписывала болт, и в качестве причины назывался этот механизм.
   NorthWind
 
174 - 10.07.19 - 08:11
+ чуть позже я могу себе позволить еще раз обновить платформу, у меня не 1000 человек, занимает все это дело часа два с перекурами
   vvspb
 
175 - 11.07.19 - 14:03
похоже 8.3.13.1513 тоже проблемный?
   Cyberhawk
 
176 - 11.07.19 - 14:05
(175) Давно известный факт
   vvspb
 
177 - 11.07.19 - 14:24
(176) не всем :(
   neomarat
 
178 - 11.07.19 - 16:37
А на 8.3.15.1489 - никто не ставил? Как полет?
   ILM
 
179 - 11.07.19 - 17:41
(178) На тесте работает, переведу после отпуска
   neomarat
 
180 - 11.07.19 - 21:45
Обновился на последнем релизе - попал на ошибку: В процессе обновления информационной базы произошла критическая ошибка
по причине:
Ошибка SDBL:
Ошибка обновления конфигурации базы данных. Для одного ссылочного кода существует более одной таблицы в базе данных.

Имена таблиц с кодом 2: CKinds2, CKindsDN936
Имена таблиц с кодом 5: CKinds5, CKindsDN953
Для исправления проблемы вы можете обратиться в службу технической поддержки.

Офигенно...
   neomarat
 
181 - 12.07.19 - 10:04
(180) Для тех кто столкнется - ошибка 1С известна, даже говорят что исправили, но как показывает практика - нет. Решение - перед применением обновления базы данных(после обновления конфигурации) сделать рестуктуризацию на новой платформе. Потом обновить конфу базы данных.
   Nuzhnaya
 
182 - 12.07.19 - 12:11
ОБновились, тоже была проблема с правами.
Еще проблема с формами, не раскрываются на полную, послетали в свойствах галочки АвтоПравила у половины документов.
   bolder
 
183 - 12.07.19 - 13:04
(99) Как известно , в последнее время напряжёнка с реальным изменением законодательства.Остается 1С пилить всякие ..исы.А развитие функционала УПП никто и не обещал.
   ИначеЕсли
 
184 - 12.07.19 - 13:18
(178) На партнёрке зарегистрировали критичную ошибку в округлениях в запросах 28500*100/28500 = 0,999945
   NorthWind
 
185 - 12.07.19 - 15:11
(178) а есть какой-то смысл в этом, особенно применительно к УПП, которая работает в толстых формах и в режиме совместимости? Мне кажется, если нет других конфиг - никакого.
   Флориан
 
186 - 12.07.19 - 17:03
Упростили до 8.3.12
"Управление производственным предприятием, редакция 1.3, версия 1.3.123.3

Внимание! Внимание!
Текущий релиз конфигурации "Управление производственным
предприятием" предназначен для использования с версией системы
1С:Предприятие 8 не ниже 8.3.12 в режиме совместимости "Версия 8.2.13"."
   Cyberhawk
 
187 - 12.07.19 - 17:36
(186) Ну писали раньше "8.3.12.1685", теперь просто "8.3.12". Это что-то особо меняет? :)
   МаксимНижегородец
 
188 - 12.07.19 - 17:46
(187) Поделюсь опытом перевода с 8.3.8 на 8.3.12. Все это из-за того, что последние версии БП начали использовать методы платформы 8.3.12 (не ниже, по моему это методы ЭД). И соответственно все конфигурации содержащие блок БП тоже будут требовать 8.3.12.

Ну а в нашей организации решили перейти сразу на последний 8.3.13. Сразу беды ни что не предвещало. Но потом пришлось возвращаться на 8.3.12. Т.к. ни какая последующая версия 8.3.13 проблем не снимала. Так что коллеги, рекомендую переходить на проверенные платформы и лучше с этим не экспериментировать.
   Cyberhawk
 
189 - 12.07.19 - 17:54
(188) "Проверенная" платформа (критерием считаю отсутствие багов - критических или любых в зависимости от требований - в ключевых операциях / процессах) для каждой конфигурации + инфобазы может быть своя
   Winnie Buh
 
190 - 13.07.19 - 20:22
все эти требования по обновлению платформы на 8.3 для УПП и УТ нужны исключительно для того, чтобы сподвигнуть клиентов старых конф к приобретению КОРП лицензий
   Пузан
 
191 - 13.07.19 - 20:59
Обновил платформу до 8.3.13.1865. После этого обновил конфу до 1.3.123.3 - полет нормальный, в том числе и в РИБ.
   Пузан
 
192 - 13.07.19 - 21:02
(190) Не гони чувак. Появляются некоторые методы, которые используются в конфиге, но присутствуют только в новой платформе. Для примера так однажды пришлось перейти с 8.2 на 8.3 на УПП потому что сервис 1С:Контрагент перестал поддерживаться в 8.2. И это нормально. Никто не обязан 100 лет вас на страрых технологиях вести.
   NorthWind
 
193 - 13.07.19 - 22:55
(190) мне кажется, все проще. С одной стороны, УПП резать пока не хотят, потому что на ее поддержке можно получить в разы больше чем с ИТС.Техно, если ввести дополнительную услугу. С другой стороны, запихивать поддержку всех госИСов с применением только функционала 8.2 гиморно, тем более что уже есть рабочий код под 8.3. Поэтому они упрощают себе жизнь, переводя УПП на 8.3 - можно модули брать от новых конф, а под 8.2 поддерживать только компонент представления. Достаточно очевидный ход.
  1  2

Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Рекламное место пустует